package com.epson.mobilephone.common.license;

import android.content.Context;

import androidx.annotation.NonNull;

import epson.print.R;


/**
 * 基类
 */
public abstract class DefaultLicenseInfo implements LicenseInfo {

    /**
     * 用户协议
     *
     * @param context 上下文
     * @return
     */
    private String getDefaultSoftwareLicense(@NonNull Context context) {
        return Util.getStringFromRawResource(context, R.raw.eula);
    }

    /**
     * 隐私协议
     *
     * @param context 上下文
     * @return
     */
    private String getDefaultPrivacyStatement(@NonNull Context context) {
        return Util.getStringFromRawResource(context, R.raw.privacy);
    }

    public String getDocumentString(@NonNull Context context, int i) {
        switch (i) {
            case 2:
                return getDefaultPrivacyStatement(context);
            case 3:
                return "";
            default:
                return getDefaultSoftwareLicense(context);
        }
    }
}
